:: ============================================================================
:: Copyright and license info is available in the LICENSE file included with
:: the Server Deployment Package (SDP), and also available online:
:: https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
:: ----------------------------------------------------------------------------

set current_script_dir=%~p0
call %current_script_dir%p4env.bat %1s
if errorlevel 1 (
   echo Replica status aborted - invalid config file found.
   echo .
   exit /B 1
)
set LOG=%LOGS_DIR%\replica_status.log

@call %SCRIPTS_DIR%\p4login.bat
%SDP_INSTANCE_BIN_DIR%\p4 -p %P4PORT% -u %SDP_P4SUPERUSER% pull -lj > %LOG% 2>&1

%SCRIPTS_DIR%\blat.exe -install %mailhost% %admin% 
%SCRIPTS_DIR%\blat.exe %LOG% -to %maillist% -subject "%COMPUTERNAME% %SDP_INSTANCE_P4SERVICE_NAME% Daily Replica Status"
